function [] = showstate(statenum)

   % Displays a state in pictorial (matrix) form 
   % where 1 = cheese, 3 = mouse, -8 = cat.

   vec = statedecode(statenum);
   state = zeros(4,4);
   state(1,1) = 1;
   state(4,4) = 1;

   if (~vec(1) & ~vec(2)) | (vec(1)==3 & vec(2)==3)
      state(vec(1)+1,vec(2)+1) = 31;
   else
      state(vec(1)+1,vec(2)+1) = 3;
   end

   if vec(3)==vec(1) & vec(4)==vec(2)
      if (~vec(3) & ~vec(4)) | (vec(3)==3 & vec(4)==3)
         state(vec(3)+1,vec(4)+1) = -831;
      else
         state(vec(3)+1,vec(4)+1) = -83;
      end
   else
      if (~vec(3) & ~vec(4)) | (vec(3)==3 & vec(4)==3)
         state(vec(3)+1,vec(4)+1) = -81;
      else
         state(vec(3)+1,vec(4)+1) = -8;
      end
   end

   state

